use super::macros::intermediate;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IEntity {
    pub(crate) html: String,
}

intermediate!(
    IEntity,
    &'orig organic::types::Entity<'parse>,
    original,
    _intermediate_context,
    {
        Ok(IEntity {
            html: original.html.to_owned(),
        })
    }
);
